## fonts-atarismall 2.3

=== Makefile ===
BDFS = $(wildcard *.bdf)
PCFS = $(BDFS:%.bdf=%.pcf)

all: pcfs

pcfs: $(PCFS)

$(PCFS): %.pcf: %.bdf
	bdftopcf -o $@ $^

sfd:
	bdf2sfd atari800-normal.bdf > atari800-normal.sfd

otf:
	fontforge -lang=ff -c 'Open($$1); Generate($$2)' atari800-normal-ext.sfd AtariSmall.otf
#	fontforge -lang=ff -c 'Open($$1); Generate($$2)' atari800-normal.sfd atari800-normal.otf

clean:
	rm -f *.pcf

.PHONY: all clean

## fonts-atarismall 2.2

=== debian/changelog ===
fonts-atarismall (2.2-5) unstable; urgency=medium

  * Bump standards version to 4.5.0.
  * Bump debhelper version to 11.
  * Add Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 07 Feb 2020 08:51:05 +0100

fonts-atarismall (2.2-4) unstable; urgency=medium

  * Add AppStream metadata.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 16 Feb 2018 20:45:55 +0100

fonts-atarismall (2.2-3) unstable; urgency=medium

  * debian/control: switch Maintainer/Uploaders.
  * Bump standards version to 4.1.1.
  * Drop building ttf-atarismall. (Closes: #659628)
  * Drop debian/scripts/sfd2*.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 20 Nov 2017 12:48:05 +0100

fonts-atarismall (2.2-2) unstable; urgency=medium

  * debian/control: replace fontforge with fontforge-nox
  * Set modification time, fixes reproducibility.
  * Bump standards version to 4.1.0.
  * Bump debhelper version to 10.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 28 Sep 2017 18:09:51 +0200

fonts-atarismall (2.2-1) unstable; urgency=medium

  * Bump Standards Version to 3.9.8.
  * debian/watch: Update URL.
  * debian/control: Update homepage.
  * debian/rules: Drop building the low quality variants. (Closes: #634841)
  * Rename to fonts-atarismall.
  * Remove outdated defoma scripts.
  * Update my name.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 19 Aug 2016 13:03:02 +0200

ttf-atarismall (2.1-4) unstable; urgency=low

  * Team upload.
  * Drop defoma stuff, since it is unused and obsolete
  * Switch to dh instead of long-style debhelper
  * Add a watch file to check for new versions
  * Font packages don't have ELF binaries, remove ${shlibs:Depends}
  * Switch to dpkg-source v3.0 format
  * Put the fontforge scripts for building in the right dir
  * Use "Copyright" instead of "(C)" since the later isn't legally valid
  * Move to "new" fonts section
  * Bump Standards-Version, now in compliance

 -- Paul Wise <pabs@debian.org>  Wed, 20 Jul 2011 12:25:49 +0200

ttf-atarismall (2.1-3.1) unstable; urgency=low

  * Non-maintainer upload
  * debian/control:
   - Add Depends on defoma (Closes: #502707)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 27 Oct 2008 20:41:55 -0400

ttf-atarismall (2.1-3) unstable; urgency=low

  * Updated my email address.
  * Updated homepage.
  * Added font team to uploaders.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 04 Jul 2008 12:33:17 +0200

ttf-atarismall (2.1-2) unstable; urgency=low

  * Add bold, light, italic and condensed typefaces.
  * debian/defoma-hints: Updated.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 23 Nov 2007 15:44:55 +0100

ttf-atarismall (2.1-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat, 27 Oct 2007 10:10:25 +0200

ttf-atarismall (2.0-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 04 Oct 2007 09:19:30 +0200

ttf-atarismall (1.0-2) unstable; urgency=low

  * Add missing build-depends, thank you Cyril Brulebois
    for the patch. (Closes: #441665)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 13 Sep 2007 11:18:45 +0200

ttf-atarismall (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #435193)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 31 Jul 2007 09:18:56 +0200

=== debian/control ===
Source: fonts-atarismall
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), fontforge-nox
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-atarismall.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-atarismall
Standards-Version: 4.5.0
Homepage: http://www.aiei.ch/atari/

Package: fonts-atarismall
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Very small 4 x 8 font
 This is named atari small because it was designed for a terminal emulator
 written for an Atari 800. It only had a 320 pixel wide display, but an 80
 column terminal was wanted, hence there is this font. This is somewhat
 cleaned up from the original version. It has only a one pixel descent to
 maximize pixels available to the main body of each character.

=== debian/rules ===
#!/usr/bin/make -f

BUILD_DATE = $(shell date --date="$$(dpkg-parsechangelog -SDate)" +"%Y-%m-%d %H:%M:%S")
export BUILD_DATE

%:
	dh $@

override_dh_auto_build:
	fontforge debian/scripts/ConvertFont.ff atari-small.sfd
	find $(CURDIR) -name '*.ttf' -print0 | xargs -0 debian/scripts/fix-modtime.pe

## fonts-atarismall 2.3

=== debian/changelog ===
fonts-atarismall (2.3-3) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Wed, 17 Jul 2024 12:13:56 +0000

fonts-atarismall (2.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Mon, 12 Jun 2023 14:06:27 +0200

fonts-atarismall (2.3-1) experimental; urgency=medium

  * New upstream version.
  * d/control: update maintainer email.
  * Bump debhelper version to 13, drop d/compat.
  * Drop d/scripts/ConvertFont.ff.
  * d/copyright: modernized.

 -- Gürkan Myczko <tar@debian.org>  Tue, 30 May 2023 07:38:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), fontforge-nox
+Uploaders: Alex Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13), fontforge-nox
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-atarismall.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-atarismall
-Standards-Version: 4.5.0
-Homepage: http://www.aiei.ch/atari/
+Standards-Version: 4.7.0
+Homepage: https://www.aiei.ch/atari/
 
 Package: fonts-atarismall
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

BUILD_DATE = $(shell date --date="$$(dpkg-parsechangelog -SDate)" +"%Y-%m-%d %H:%M:%S")
export BUILD_DATE

%:
	dh $@

override_dh_auto_build:
	$(MAKE) otf
	find $(CURDIR) -name '*.otf' -print0 | xargs -0 debian/scripts/fix-modtime.pe
